BatchReadRequest
Request for reading multiple files in one call. Designed for AI agents gathering context efficiently.
Kind: an object, used in requests.
Fields
Section titled “Fields”| Field | Type | Required | Description |
|---|---|---|---|
paths | string[] | Paths to the files to read. | |
maxLinesPerFile | integer | Maximum lines per file (0 = unlimited). Truncates large files. |
Example
Section titled “Example”{ "paths": [ "..." ], "maxLinesPerFile": 0}Where it’s used
Section titled “Where it’s used”vfs.open(name).batchRead(POST /namespaces/{namespaceName}/vfs/by-name/{name}/batch/read)vfs.openById(id).batchRead(POST /vfs/by-id/{id}/batch/read)